Download it now!
Bug 79615 - Libreoffice generating blank PDF pages in a presentation
Summary: Libreoffice generating blank PDF pages in a presentation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha1
Hardware: All Linux (All)
: high major
Assignee: David Tardon
URL:
Whiteboard: target:4.4.0 target:4.3.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-04 05:03 UTC by Pablo
Modified: 2015-02-25 20:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Impress document (200.98 KB, application/vnd.oasis.opendocument.presentation)
2014-06-04 16:09 UTC, Pablo
Details
Impress PDF export (49.12 KB, application/pdf)
2014-06-04 16:09 UTC, Pablo
Details
Correct PDF export (4.1.6.2) (72.92 KB, application/pdf)
2014-06-04 16:17 UTC, Firas Hanife
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo 2014-06-04 05:03:47 UTC
Hello!

I'm exporting a presentation to a PDF, and I've the first page with color as the original presentation, but all the rest are blank and without the text, only the first title from each page.

I'm using Ubuntu 14.04 in English language. Libreoffice Version: 4.2.3.3 and Build ID: 420m0(Build:3) in Impress.

Best.
Comment 1 Firas Hanife 2014-06-04 13:43:02 UTC
Hello Pablo,
thanks for the report.

In order to reproduce this issue and fix it, we need a sample document.
So if you have a sample document that presents this behavior, please upload it to this report.
Comment 2 Pablo 2014-06-04 16:09:25 UTC
Created attachment 100405 [details]
Impress document
Comment 3 Pablo 2014-06-04 16:09:47 UTC
Created attachment 100406 [details]
Impress PDF export
Comment 4 Pablo 2014-06-04 16:10:11 UTC
(In reply to comment #1)
> Hello Pablo,
> thanks for the report.
> 
> In order to reproduce this issue and fix it, we need a sample document.
> So if you have a sample document that presents this behavior, please upload
> it to this report.

Sure, attached now :)

Best.
Comment 5 Firas Hanife 2014-06-04 16:16:46 UTC
Thanks Pablo!
I tested the document and here on my LibreOffice 4.2.4.2 and 4.3.0.0.beta1 the 2nd and 3rd page are wrongly exported as in your PDF.

4.1.6.2 exports the PDF fine (attached).

I'm setting the bug as NEW and Version to 4.2.3.3.
Comment 6 Firas Hanife 2014-06-04 16:17:43 UTC
Created attachment 100407 [details]
Correct PDF export (4.1.6.2)
Comment 7 Pablo 2014-06-04 16:21:50 UTC
Great, thank you very much, expecting to have a fix soon :)

I'll work with 4.1.x in the meanwhile, thanks again!
Comment 8 Cor Nouws 2014-06-10 13:39:02 UTC
first broken in 4.2.0 alpha 1
Comment 9 Xisco Faulí 2014-06-11 14:46:25 UTC
This issue is really difficult to bibisect as LO crashes when opening the document attached
Comment 10 Commit Notification 2014-06-23 15:17:48 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fae55c7d3fead6ce18556d5ccaa0958b7cfed91

fdo#79615 create clipping polygon correctly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-06-24 15:35:19 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b10e4065bfa5288d212501317cd612835b31d67&h=libreoffice-4-3

fdo#79615 create clipping polygon correctly


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.